
Component({

  options: {
      multipleSlots: true // 在组件定义时的选项中启用多slot支持
  },

  /**
   * 组件的属性列表
   */
  properties: {
      thead:{
        type:Array,
        value:[]
      },
      data:{
        type:Array,
        value:[]
      },
      onclick: {
        type: String
    }
  },

  /**
   * 私有数据,组件的初始数据
   * 组件的初始数据
   */
  data: {
  },

  /**
   * 组件的方法列表
   * 
   */
  methods: {  
    onclick(e) {
      //点击事件，将所点击那一行的数据传输到父组件
        this.triggerEvent('getRowData', e.target.dataset.row)
    },
  }
})
